CRAN Package Check Results for Package rmatio

Last updated on 2021-10-28 00:48:57 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.15.0 33.30 94.09 127.39 WARN
r-devel-linux-x86_64-debian-gcc 0.15.0 31.98 73.27 105.25 WARN
r-devel-linux-x86_64-fedora-clang 0.16.0 176.46 OK
r-devel-linux-x86_64-fedora-gcc 0.16.0 172.13 OK
r-devel-windows-x86_64 0.15.0 56.00 96.00 152.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.15.0 OK
r-patched-linux-x86_64 0.15.0 37.84 91.67 129.51 WARN
r-patched-solaris-x86 0.15.0 394.80 OK
r-release-linux-x86_64 0.15.0 39.58 91.56 131.14 WARN
r-release-macos-arm64 0.15.0 OK
r-release-macos-x86_64 0.15.0 OK
r-release-windows-ix86+x86_64 0.16.0 75.00 153.00 228.00 OK
r-oldrel-macos-x86_64 0.15.0 OK
r-oldrel-windows-ix86+x86_64 0.15.0 76.00 185.00 261.00 OK

Check Details

Version: 0.15.0
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:45: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:45: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:45: the top level
     configure.ac:55: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:55: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:55: the top level
     configure.ac:1409: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1409: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:609: CHECK_MATIO_INT64_T is expanded from...
     configure.ac:1409: the top level
     configure.ac:1410: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1410: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:1249: CHECK_MATIO_UINT64_T is expanded from...
     configure.ac:1410: the top level
     configure.ac:1411: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1411: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:449: CHECK_MATIO_INT32_T is expanded from...
     configure.ac:1411: the top level
     configure.ac:1412: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1412: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:1089: CHECK_MATIO_UINT32_T is expanded from...
     configure.ac:1412: the top level
     configure.ac:1413: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1413: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:289: CHECK_MATIO_INT16_T is expanded from...
     configure.ac:1413: the top level
     configure.ac:1414: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1414: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:929: CHECK_MATIO_UINT16_T is expanded from...
     configure.ac:1414: the top level
     configure.ac:1415: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1415: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:129: CHECK_MATIO_INT8_T is expanded from...
     configure.ac:1415: the top level
     configure.ac:1416: warning: The macro `AC_TRY_LINK' is obsolete.
     configure.ac:1416: You should run autoupdate.
     ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
     configure.ac:769: CHECK_MATIO_UINT8_T is expanded from...
     configure.ac:1416: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64